Get wallet trades from Cryptoslam

/v4/data/marketplace/cryptoslam/wallet/trades

80 credits per API call

Returns trades for a specified wallet address as the trader (default) or maker, with optional filtering by token, paired token, pair, side, block range, or timestamp range.

Supported blockchains:

  • Ethereum - ethereum-mainnet
  • Base - base-mainnet
Query Params
string
enum
required

The blockchain to work with.

Allowed:
string
required

The wallet address to fetch trades for.

string
enum
Defaults to trader

Filter trades where the specified wallet_address acted in the given role. Trader (default) where the wallet sent or received the token, regardless of initiating the swap transaction, or maker where the wallet initiated the swap transaction.

Allowed:
string

The ERC-20 token contract address to fetch trades for.

string

Filter trades where the specified token was swapped against this paired token address, regardless of pool.

string

The contract address (Uniswap V2/V3) or pool ID (Uniswap V4) of the liquidity pool to fetch trades for. When present, overrides token_address and paired_token_address.

string
enum
Defaults to all

Specifies trade side for the given token_address.

Allowed:
number

Minimum trade size in USD. Filters out trades with an estimated USD value below this threshold. Note: Adds additional SLAM cost to the query.

number

Maximum trade size in USD. Filters out trades with an estimated USD value above this threshold. Note: Adds additional SLAM cost to the query.

integer
1 to 1000
Defaults to 25

The maximum number of records to return (1-1000).

string
enum
Defaults to desc

Sort order: asc (oldest first) or desc (newest first).

Allowed:
date-time

Start searching from this UTC timestamp (inclusive). If provided, overrides start_block as the starting point.

integer

Block number to start the search from (inclusive). Defaults to the latest block in desc order, or the genesis block in asc order.

integer

Log index within the starting block to resume pagination or refine the starting point.

boolean
Defaults to false

When true, returns only the SLAM token cost for this query without performing the actual query.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json